org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetSumFloatAssociations

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetSumFloatAssociations

    public class TaxonomyFacetSumFloatAssociations
    extends FloatTaxonomyFacets

Aggregates sum of int values previously indexed with `FloatAssociationFacetField`, assuming the default encoding.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

`values`

### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

`config, indexFieldName, parents, taxoReader`

### Constructor Summary

Constructors
Constructor and Description
`TaxonomyFacetSumFloatAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` Create `TaxonomyFacetSumFloatAssociations` against the specified index field.
`TaxonomyFacetSumFloatAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` Create `TaxonomyFacetSumFloatAssociations` against the default index field.

### Method Summary

### Methods inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

`getSpecificValue, getTopChildren, rollup`

### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

`childrenLoaded, getAllDims, getChildren, getSiblings, siblingsLoaded, verifyDim`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaxonomyFacetSumFloatAssociations

    public TaxonomyFacetSumFloatAssociations(TaxonomyReader taxoReader,
                                             FacetsConfig config,
                                             FacetsCollector fc)
                                      throws IOException

Create `TaxonomyFacetSumFloatAssociations` against the default index field.

Throws:
  `IOException`

#### TaxonomyFacetSumFloatAssociations

    public TaxonomyFacetSumFloatAssociations(String indexFieldName,
                                             TaxonomyReader taxoReader,
                                             FacetsConfig config,
                                             FacetsCollector fc)
                                      throws IOException

Create `TaxonomyFacetSumFloatAssociations` against the specified index field.

Throws:
  `IOException`